> ## Documentation Index
> Fetch the complete documentation index at: https://docs.screenshothis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Readiness Probe

> Kubernetes-compatible readiness probe to verify service readiness



## OpenAPI

````yaml get /health/ready
openapi: 3.1.0
info:
  version: 1.0.0
  title: Screenshothis API
  description: API designed to take screenshots of websites
servers:
  - url: https://api.screenshothis.com
    description: Production Server
security: []
paths:
  /health/ready:
    get:
      summary: Readiness probe
      description: >-
        Kubernetes-compatible readiness probe that verifies the service is ready
        to accept traffic. Checks database connectivity to ensure the service
        can handle requests. Used by orchestrators to determine when to route
        traffic to this instance.
      operationId: ready
      responses:
        '200':
          description: Service is ready
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ready
                  timestamp:
                    type: string
                required:
                  - status
                  - timestamp
              example:
                status: ready
                timestamp: '2024-01-01T00:00:00.000Z'
        '503':
          description: Service is not ready
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - not ready
                  timestamp:
                    type: string
                  error:
                    type: string
                required:
                  - status
                  - timestamp
                  - error
              example:
                status: not ready
                timestamp: '2024-01-01T00:00:00.000Z'
                error: Database connection failed
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Screenshothis } from "@screenshothis/sdk";

            const screenshothis = new Screenshothis();

            async function run() {
              const result = await screenshothis.health.getReady();

              console.log(result);
            }

            run();
        - lang: php
          label: PHP (SDK)
          source: |-
            declare(strict_types=1);

            require 'vendor/autoload.php';

            use Screenshothis\Screenshothis;

            $sdk = Screenshothis\Screenshothis::builder()->build();



            $response = $sdk->ready(

            );

            if ($response->object !== null) {
                // handle response
            }

````